# PCharArray Class Reference

Array of characters. More...

`#include <array.h>`

Inheritance diagram for PCharArray:

List of all members.

## Public Member Functions

Construction
| PCharArray (PINDEX initialSize=0)
| Construct a new dynamic array of char.
| PCharArray (char const *buffer, PINDEX length, PBoolean dynamic=true)
| Construct a new dynamic array of char.
Overrides from class PObject
virtual void | PrintOn (ostream &strm) const
| Print the array.
virtual void | ReadFrom (istream &strm)
| Read the array.

## Detailed Description

Array of characters.

## Constructor & Destructor Documentation

PCharArray::PCharArray | ( | PINDEX | initialSize = `0` | ) |

Construct a new dynamic array of char.

The array is initialised to all zero bytes.

Parameters:

  initialSize | Initial number of elements in the array.

PCharArray::PCharArray | ( | char const * | buffer,
|  | PINDEX | length,
|  | PBoolean | dynamic = `true` |
| ) |  |  |

Construct a new dynamic array of char.

Parameters:

  buffer | Pointer to an array of chars.
  length | Number of elements pointed to by `buffer`.
  dynamic | Buffer is copied and dynamically allocated.

## Member Function Documentation

virtual void PCharArray::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Print the array.

Parameters:

  strm | Stream to output to.

Reimplemented from PAbstractArray.

Reimplemented in PString, PvCard::Token, PvCard::ParamValue, and PvCard::TextValue.

virtual void PCharArray::ReadFrom | ( | istream & | strm | ) | `[virtual]`

Read the array.

Reimplemented from PAbstractArray.

Reimplemented in PString, PvCard::Token, PvCard::ParamValue, and PvCard::TextValue.

The documentation for this class was generated from the following file:

- array.h